config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}

config /etc/aa/aa.conf.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
( cd usr/man/man1 ; rm -rf autoarchive.1 )
( cd usr/man/man1 ; ln -sf aa.1 autoarchive.1 )
( cd usr/bin ; rm -rf autoarchive )
( cd usr/bin ; ln -sf aa autoarchive )
